
%global meadversion 1.3.1
%global namedversion 1.3.1.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 3

%bcond_without mead

%{?scl:%scl_package jettison}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/jettison-eap6}
%{!?scl:%global javadir %{_javadir}/jettison-eap6}

%define maven_version 1.3.1.redhat-4

Name:           %{?scl_prefix}jettison%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jettison
Group:          Development/Java

%if %with mead
Source100: jettison-1.3.1.redhat-4-scm-sources.zip
Source102: jettison-1.3.1.redhat-4-sources.jar
Source103: jettison-1.3.1.redhat-4.pom
Source104: jettison-1.3.1.redhat-4-javadoc.jar
Source105: jettison-1.3.1.redhat-4.jar
%endif

License:        ASL 2.0
URL:            https://svn.codehaus.org/jettison/tags/jettison-1.3.1
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}jettison%{?eap}-%{namedversion}-%{release}-root

%description
A StAX implementation for JSON.

%prep
%setup -q -n jettison -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}.jar %{buildroot}%{javadir}/jettison-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}-sources.jar %{buildroot}%{javadir}/jettison-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%dir %{javadir}
%{javadir}/jettison-%{namedversion}.jar
%{javadir}/jettison.jar
%{javadir}/jettison-%{namedversion}-sources.jar
%{javadir}/jettison-sources.jar

%changelog
* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-3.redhat_4.1
- Rewrap

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-2.redhat_4.1
- full rebuild

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-2.redhat_4.1
- full rebuild

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-2.redhat_4.1
- full rebuild

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-1.redhat_3.1
- release

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-1.redhat_3.1
- release

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.3.1-1.redhat_3.1
- release

